<?php include_once ("../inc/config.inc.php") ?>
<?php require ("../inc/func.inc.php") ?>
<?php require ("../inc/func_date.inc.php") ?>
<?php require ("../inc/func_log.inc.php") ?>
<?php require ("../inc/fic.inc.php") ?>
<?php require_once ("../classes/xpm/smtp.php"); ?>
<?php require ("../inc/mail.inc.php") ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>
<?php
	 	// Variables Formulaire
		$titre = strip_tags(trim(@$_POST["titre"]));
		$typdde = strip_tags(trim(@$_POST["typdde"]));

		$code = str_majuscules(strip_tags(trim(@$_POST["code"])));
		$daterel = datefrang(strip_tags(trim(@$_POST["daterelf"])));
		if (strip_tags(trim(@$_POST["dateoutf"])) <> "")
			$dateout = datefrang(strip_tags(trim(@$_POST["dateoutf"])));
		else
			$dateout = "";
		$coderel = str_majuscules(strip_tags(trim(@$_POST["coderel"])));
		$codecli = str_majuscules(strip_tags(trim(@$_POST["codecli"])));
		$codeage = str_majuscules(strip_tags(trim(@$_POST["codeage"])));
		$codetec = str_majuscules(strip_tags(trim(@$_POST["codetec"])));
		$codema = str_majuscules(strip_tags(trim(@$_POST["codema"])));
		$modele = strip_tags(trim(@$_POST["modele"]));
		$version = strip_tags(trim(@$_POST["version"]));
		$codetl = str_majuscules(strip_tags(trim(@$_POST["codetl"])));
		$maxcli = str_majuscules(strip_tags(trim(@$_POST["maxcli"])));
		if ($maxcli <=0)
			$maxcli = 1;
		$codemed = str_majuscules(strip_tags(trim(@$_POST["codemed"])));
		$numlic = strip_tags(trim(@$_POST["numlic"]));
		$cleflic = strip_tags(trim(@$_POST["cleflic"]));
		$ajourf = strip_tags(trim(@$_POST["ajour"]));
		if ($ajourf == "Oui")
			$ajour = TRUE;
		else
			$ajour = FALSE;
		$legalf = strip_tags(trim(@$_POST["legale"]));
		if ($legalf == "Oui")
			$legal = TRUE;
		else
			$legal = FALSE;
		if (strip_tags(trim(@$_POST["datevalf"])) <> "")
			$dateval = datefrang(strip_tags(trim(@$_POST["datevalf"])));
		else
			$dateval = "";
		
		$nota = strip_tags(trim(@$_POST["nota"]));
		$signataire = strip_tags(trim(@$_POST["signataire"]));

		$codeuser = @$HTTP_SESSION_VARS["code_log"];

		$retourliste = TRUE;

		if (strip_tags(trim(@$_POST["enrimp"])) == "Enregistrer & Imprimer")
		{
			$imprim = TRUE;
			$retourliste = FALSE;
		}

		if ($typdde == "add")
		{
			$coderl = crecode("RL");

			// Ajout de la fiche Relevé Licence
		
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rech = "INSERT INTO " .TBRLIC;
			$rech.= " (rlic_datecrea,rlic_codecrea,rlic_datemod,rlic_codemod,rlic_coderel,rlic_code,rlic_daterel,rlic_codecli,rlic_codeage,";
			$rech.= "rlic_codetec,rlic_codema,rlic_modele,rlic_version,rlic_codetl,rlic_maxcli,rlic_codemed,rlic_numlic,rlic_cleflic,rlic_ajour,";
			$rech.= "rlic_legal,rlic_dateval,rlic_dateout,rlic_nota,rlic_signataire)";
			$rech.= " VALUES";
			$rech.= " ('$datea','$codeuser','$datea','$codeuser','$coderel','$coderl','$daterel','$codecli','$codeage',";
			$rech.= "'$codetec','$codema','$modele','$version','$codetl','$maxcli','$codemed','$numlic','$cleflic','$ajour',";
			$rech.= "'$legal','$dateval','$dateout','$nota','$signataire')";
			$rs = mysql_query($rech) or die(mysql_error());
			mysql_close($conn);

			$msg = "Fiche enregistrée avec succès !";			

			// Envoi d'email vers le client
			envoi_mail("Ajout d'une fiche relevé licence","rlic","cre","xxx","cli",$coderl,"","",FALSE);
			// Envoi d'email vers l'agence
			if (@$HTTP_SESSION_VARS["niv_log"] <> 4)
				envoi_mail("Ajout d'une fiche relevé licence","rlic","cre","xxx","age",$coderl,"","",FALSE);
			// Envoi d'email vers le centre de gestion
			envoi_mail("Ajout d'une fiche relevé licence","rlic","cre","xxx","cdg",$coderl,"","",TRUE);

		}

		if ($typdde == "edit")
		{
			$ok_maj = TRUE;
			
			if ($dateout <> "")
			{
				$exist_rlic_in_rpdt_actif = exist_rlic_in_rpdt_actif($codecli,$code);
				if ($exist_rlic_in_rpdt_actif == TRUE)
				{
					$ok_maj = FALSE;
					$retourliste = FALSE;
					$msg = "Cette fiche est encore utilisée dans un ou des relevé(s) matériel(s) actif(s).<br>Enlevez-le du (des) fiche(s) relevé(s) matériel(s) concernée(s).";
				}
				
				$exist_rlic_in_rpbm_actif = exist_rlic_in_rpbm_actif($code);
				if ($exist_rlic_in_rpbm_actif == TRUE)
				{
					$ok_maj = FALSE;
					$retourliste = FALSE;
					if ($msg == "")
						$msg = "Cette fiche contient des problèmes déclarés et non solutionnés.<br>Supprimez la (les) déclaration(s) de problème concernée(s).";
					else
						$msg .= "<br><br>Cette fiche contient des problèmes déclarés et non solutionnés.<br>Supprimez la (les) déclaration(s) de problème concernée(s).";
				}
				
			}
			
			if ($ok_maj == TRUE)
			{
				
				// MAJ de la fiche relevé Licence
			
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
				$rech = "UPDATE `" .TBRLIC;
				$rech .= "` SET `rlic_datemod`='".$datea."', `rlic_codemod`='".$codeuser."', `rlic_code`='".$code."', `rlic_daterel`='".$daterel."', `rlic_codecli`='".$codecli."', `rlic_codeage`='".$codeage."', `rlic_codetec`='".$codetec."', `rlic_codema`='".$codema."', `rlic_modele`='".$modele."', `rlic_version`='".$version."',";
				$rech .=" `rlic_codetl`='".$codetl."', `rlic_maxcli`='".$maxcli."', `rlic_codemed`='".$codemed."',`rlic_numlic`='".$numlic."', `rlic_cleflic`='".$cleflic."', `rlic_ajour`='".$ajour."', `rlic_legal`='".$legal."', `rlic_dateval`='".$dateval."',";
				$rech .=" `rlic_dateout`='".$dateout."', `rlic_nota`='".$nota."', `rlic_signataire`='".$signataire."'";
				$rech .=" WHERE `rlic_code` = '".$code."'";
				$rs = mysql_query($rech) or die(mysql_error());
				mysql_close($conn);
	
				$msg = "Fiche modifiée avec succès !";

				// Envoi d'email vers le client
				envoi_mail("Modification d'une fiche relevé licence","rlic","mod","xxx","cli",$code,"","",FALSE);
				// Envoi d'email vers l'agence
				if (@$HTTP_SESSION_VARS["niv_log"] <> 4)
					envoi_mail("Modification d'une fiche relevé licence","rlic","mod","xxx","age",$code,"","",FALSE);
				// Envoi d'email vers le centre de gestion
				envoi_mail("Modification d'une fiche relevé licence","rlic","mod","xxx","cdg",$code,"","",TRUE);
	
			}
		}

		if ($typdde == "del")
		{
			// Vérification si le relevé de licence existe dans un relevé produit
			
			$exist_in_rpdt = exist_rlic_in_rpdt($codecli,$code);
			$exist_in_rpbm = exist_rlic_in_rpbm($code);
			
			if (($exist_in_rpdt == FALSE) AND ($exist_in_rpbm == FALSE))
			{
				// SUPPRESSION de la fiche Relevé Licence
				
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
				$rech = "DELETE FROM `" .TBRLIC. "` WHERE `rlic_code` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());
				mysql_close($conn);
				$msg = "Fiche supprimée avec succès !";
			}
			else
			{
				if ($exist_in_rpdt == TRUE) 
				{
					$retourliste = FALSE;
					$msg = "Impossible de supprimer un relevé de licence utilisé dans une fiche relevé de matériel.<br>Choisissez plutôt de le sortir du parc...ou enlevez-le des fiches relevés matériel concernées.";
				}
				if ($exist_in_rpbm == TRUE) 
				{
					$retourliste = FALSE;
					$msg = "Impossible de supprimer un relevé de licence utilisé dans une déclaration de problème.<br>Choisissez plutôt de le sortir du parc...ou supprimez la déclaration de problème.";
				}
			}
		}

?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Fiche Relev&eacute; Licence</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../inc/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<link href="../inc/menu.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="../coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

<!-- Affichage nouvelle fenêtre pour impression -->
<script type="text/javascript">
	function lanceimp(page)
	{
	  window.open(page,'impression','width='+screen.width+' height='+screen.height);
	}
</script>

</head>
</body>

<?php 
	include_once ("entete.php"); 
?>

<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center" class="annot_gras_it"><?PHP echo $msg ?></p>
<?PHP if ($retourliste == FALSE) 
{ 
?>
<br>
<br>
	<table width="100%"  border="0">
	  <tr>
		<td width="3%">&nbsp;</td>
		<td width="44%"><div align="right"><a href="rel_maj.php?td=edit&cr=<?PHP echo $coderel; ?>"><img src="../img/liste.gif" width="33" height="34" border="0" align="absmiddle"></a> <a href="rel_maj.php?td=edit&cr=<?PHP echo $coderel; ?>" class="annot_gras_it">Retour au dossier de relev&eacute;</a></div></td>
		<td width="7%">&nbsp;</td>
		<td width="43%"><a href="index.php"><em><img src="../img/index.gif" width="48" height="48" border="0" align="absmiddle"> </em><span class="annot_gras_it">Revenir &agrave; l'accueil</span> </a></td>
		<td width="3%">&nbsp;</td>
	  </tr>
	</table>
<?PHP 
} 
else 
{
?>
	<script type="text/javascript">
	window.setTimeout("location=('rel_maj.php?td=edit&cr=<?PHP echo $coderel; ?>');",2000)
	</script>
	<p align="center" class="annot_std_it">Retour au dossier de relev&eacute; dans 2 secondes...</p>
<?PHP
}
?>
